Subject: bug#13646: Whitespace support for file/mode-specific styles and actions

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Feb 2013 09:10:21 -0500

>   I tried to play a little more with dir-locals and I see yet another
>   limitation: it seems that there's no way to accumulate values across
>   settings for different directories in the same tree.

>   For example, I may create a class CLASS in my init file with some
>   variable settings for it, and put "/usr/local/" in that
>   class. However, since "/usr/local/src/emacs/emacs.git" has a
>   .dir-locals.el file, my settings for "/usr/local" won't apply.

Indeed, it's another current limitation.  It'd be good to lift it.

>   Stefan, is there a chance to see my whitespace.el modifications
>   applied eventually ?

I really would much rather improve the generic settings code.
But as for your specific patch, it's up to the whitespace.el maintainer.

        Stefan